Logout from the session
curl --request POST \
--url https://{host}/api/sessions/{session}/logout \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/sessions/{session}/logout"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/sessions/{session}/logout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Logout performed successfully",
"session": "my-session"
}
Sessions
Logout Session
Disconnect WhatsApp session
POST
/
api
/
sessions
/
{session}
/
logout
Logout from the session
Description
This endpoint disconnects the WhatsApp session, removing authentication on the mobile device. After logout, it will be necessary to scan the QR Code again to reconnect. The session remains registered in the system, but without authentication.URL Parameters
string
required
Unique session ID to be disconnected
{
"success": true,
"message": "Logout performed successfully",
"session": "my-session"
}
Status Codes
200- Logout performed successfully400- Invalid parameters404- Session not found409- Session is not authenticated
Usage Example
curl -X POST https://api.wappfy.com.br/api/sessions/my-session/logout
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/sessions/${session}/logout`, {
method: 'POST'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.post(
f'https://api.wappfy.com.br/api/sessions/{session}/logout'
)
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
The session name (instanceName) you want to logout from
